Bug 282218 - Screwed up Group Models when moving contracts to groups if they already exist in two groups
Summary: Screwed up Group Models when moving contracts to groups if they already exist...
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: contactlist (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-17 12:13 UTC by David Edmundson
Modified: 2013-02-15 21:18 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Edmundson 2011-09-17 12:13:33 UTC
If a contact is in two groups.
When a contact is moved to a group, two new contacts appear in the new group.

This also makes it crash on close.
Comment 1 David Edmundson 2013-01-15 17:01:17 UTC
Git commit 3315e817fb1ce8fd802b9ff7e9aa665d352573ef by David Edmundson.
Committed on 15/01/2013 at 18:00.
Pushed by davidedmundson into branch 'master'.

Merge big model refactor.

Replace all the models used to power KTp

Subclass of Tp::Contact (KTp::Contact) to power the model
Create a list of contacts ContactListModel
Which can be grouped into AccountsTreeProxyModel or GroupsTreeProxyModel
Related: bug 304085, bug 307899, bug 279023

REVIEW: 107377
REVIEW: 107629

DIGEST:

M  +5    -0    KTp/CMakeLists.txt

http://commits.kde.org/telepathy-common-internals/3315e817fb1ce8fd802b9ff7e9aa665d352573ef